Name:          simdock
Summary:       Fast and customizable dockbar
Version:       1.2
Release:       3%{?dist}
License:       GPLv2+
Group:         User Interface/Desktops
URL:           http://simdock.sourceforge.net/
Source0:       http://downloads.sourceforge.net/simdock/%{name}_%{version}.tar.gz
Source1:       README.fedora
Patch0:        simdock-1.2.desktop.patch
Patch1:        simdock-1.2-pixmap.patch
Patch2:        simdock-1.2-readme.patch
Patch3:        simdock-1.2-tasks.patch
Buildrequires: desktop-file-utils
BuildRequires: GConf2-devel
BuildRequires: libwnck-devel
BuildRequires: startup-notification-devel
BuildRequires: wxGTK-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
SimDock is a fast and customizable dockbar. It is written in c++ and
wxWidgets and fits well in Gnome but works on most desktop
environments. Does not require Compiz nor 3D acceleration.

%prep
%setup -q -n trunk
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{__install} -m 0644 %{SOURCE1} .

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING LICENSE README README.fedora
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Oct 20 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-3
- rebuild

* Thu Oct  2 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-2
- fix patch macro
- install desktop file

* Wed Mar 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-1
- initial build
